import statistics

VOKALI = {'i', 'e', 'a', 'o', 'u'}
FRIKATIVI_1 = {'s', 'c', 'z'}
FRIKATIVI_2 = {'š', 'č', 'ž', 'đ'}

# prosjecno trajanje glasova prema Bakranu
PROSJ_TRAJANJE_GLASOVA = {
    'i': 111,
    'e': 127,
    'a': 135,
    'o': 126,
    'u': 110,

    'c': 113,
    's': 91,
    'z': 68,
    'š': 99,
    'č': 94,  # prosjek za meko i tvrdo
    'đ': 61,
    'ž': 74,

    'h': 68,
    'f': 86,
    'p': 85,
    't': 76,
    'k': 81,
    'b': 65,
    'd': 54,
    'g': 56,
    'm': 56,
    'n': 45,
    '#': 60,  # nj
    'l': 35,
    '%': 59,  # lj
    'j': 53,  # prema Skaricu [1991]
    'v': 40,
    'r': 25
}


def prosjecno_trajanje():
    return statistics.mean(PROSJ_TRAJANJE_GLASOVA.values())


if __name__ == '__main__':
    print(prosjecno_trajanje())
